---
slug: /logic
title: Logic
toc_max_heading_level: 6
---

## Logic

## Rules of discourse

* The difficulty in establishing fair/appropriate boundaries or cut-off points in moral questions that come in gradations does not mean that no boundaries are
  appropriate (ie, that an absolute, binary answer is the right one).
  💭&nbsp;Example: even &ldquo;pro-choice&rdquo; people concede that big, perfectly viable, completely formed fetuses should not be aborted in the last
  days of pregnancy; and many &ldquo;pro-life&rdquo; advocates do not oppose interrupting the gestation of an embryos a few hours after fertilisation.
  The &ldquo;cut-off&rdquo; after which abortion is immoral is very contingent.
  That proves that no abortion is moral / all abortions are moral.
  (**Wrong reasoning**.)
  💭&nbsp;Example: it is very difficult to discern exactly how much a person has to earn to keep their dignity; therefore the idea of imposing a
  minimum wage is absurd.
  (**Wrong reasoning**.)
  💭&nbsp;Example: the vast majority of those who defend the right of any citizen to own any kind of firearm would admit that there should be a limit
  (eg, individuals should not produce/own [ICBM](https://en.wikipedia.org/wiki/Intercontinental_ballistic_missile)'s, or
  [WMD](https://en.wikipedia.org/wiki/Weapon_of_mass_destruction)'s like biological or nuclear weapons).
  Similarly, virtually everybody thinks that it is okay for regular people to own chef's knives, camping knives, rat poison, and many other utensils that are
  sometimes used to kill people.
  It would be **wrong reasoning** to either conclude that because we know it is okay for citizens to own knifes, then they should be free to own *any* kind of
  weapon; and the opposite: because it is clearly immoral to let anyone build nuclear or biological weapons without control, it follows that also less deadly
  weapons (like pistols) should be banned.
* The fact that individuals cannot perceive, measure and confirm every aspect of the natural world first-hand seems to suggest that the
  [&ldquo;argument from authority&rdquo; fallacy](https://en.wikipedia.org/wiki/Argument_from_authority)
* Certain characteristics are void in the scope of good reasoning:
  * **Tradition** (custom and habit justified so many barbaric ideas and practices).
  * **Nature** (the fact that something is *artificial* does not necessarily mean it is worse than a more &ldquo;natural&rdquo; alternative).

## Beliefs I cannot justify

In spite of being usually reflexive and cerebral, and aiming at rationality, I hold a few beliefs that are somewhat irrational, or for which I have yet not
found objective justifications&hellip;

### About the importance of reading

I have a strong belief that <span class="icon idea">💡</span>&nbsp;**reading** is important, and makes me a better person, somehow.
In particular, I think that reading the classics, non-fiction, essays and books that are very influential or that explore complex subjects, improves me in some
way (as opposed to reading humourous books, thrilling novels and easy fiction: at least those types of reading hold a clear benefit since reading them is
entertaining *per se*).

However, I have not found arguments that are convincing enough to justify this belief.

There is the &ldquo;old&rdquo; belief that smart people read, and read a lot; that books are indispensable to become sophisticated, educated, successful.
Although I have heard that all my life, when it comes to actually justifying the alleged benefits of reading, there is no clear evidence (I think).

One meets many people who seem smart, successful, witty, knowledgeable&hellip; but who admit to have read little, or very little, in their lives.
On the other hand, so many people who have been devouring books since an early age don't stand out in any particular way.
(Does the *kind* of books people read matter?)
All this is anecdotal evidence, of course.
But if the benefits are supposed to be so important, why don't we confirm this belief much more easily through experience?

Similarly, I believe that it's important to know <span class="icon idea">💡</span>&nbsp;**the news**, to be aware of what's happening around oneself and in the
world right now.
But there aren't good reasons to believe that.

<span class="icon ref">👉</span>&nbsp;**[&ldquo;Broken breaking news&rdquo;](/miscellanea#4-broken-breaking-news)**  
<span class="icon ref">👉</span>&nbsp;**[Aaron Swartz: *&ldquo;I Hate the News&rdquo;*](http://www.aaronsw.com/weblog/hatethenews)**  
<span class="icon ref">👉</span>&nbsp;**[Naval: *&ldquo;The goal of media is to make every problem, your problem&rdquo;*](https://twitter.com/naval/status/1310306039481262081)**

One tentative explanation that I have for this is that reading many books, and knowing well how the world works and what's going on (by following the news)
makes me more similar to people I like (because I've found that I like people who tend to read a lot and be very well informed).

### About the value of material objects

I behave sometimes as if the objects and material goods around me had value beyond their objective utility to me.

It's almost as if I were an animist, and thought that my tools, devices, pieces of clothing, etc. had a *spirit* in them.
Of course, I do not *believe* so; but I feel attached to them, and I feed bad if for whatever reason those objects are thrown away, badly damaged, or stored and
ignored for a long time&nbsp;&mdash;&nbsp;*when they are still in good order*.
When things have been used and are now simply worn out, I don't feel bad about ditching them.
It's just when stuff has not reached its potential (its utility to someone) that I feel this strange way about it.

Incidentally, that is the main reason **why I own comparatively few things**.
My most expensive purchase ever was my BMW F800 GT motorcycle, which I bought in 2016 for ~€11,000.
My first motorbike cost ~€7,000.
The next most expensive things I bought probably are a bunch of personal computers over the years (all under ~€2,000).
Further below in the list: a few expensive items of clothing (eg, good outwear), smartphones, cameras and the like.
(My oboe and my electronic keyboard were expensive instruments, back in the 90's; but my parents bought them, not me.
And I'm not considering here expensive intangible goods like college tuition, long-haul flights, rent, and the like.)

So, I have this strong tendency **to not own anything so expensive that it could make me feel very bad in the future for not having used it *sufficiently***.
Note that this is still a rational position: one should not spend money in things that are not going to provide utility or pleasure that is more valuable than
their market price.
The irrational part here is that, once I own something, it should not matter whether I am using it or not.
Realising that I won't extract much value out of it does not matter *after* the purchase is made.
That is only important *before*, in order to decide whether to buy it or not.

<span class="icon ref">👉</span>&nbsp;**[Sunk cost](https://en.wikipedia.org/wiki/Sunk_cost)**

I sometimes visit friends or relatives around my age whose houses seem full of stuff&nbsp;&mdash;&nbsp;stuff they own; and sometimes I detect a weird little
pinch of sadness inside me, caused by the idea of owning way more things that one can use or enjoy.
Note that this does not apply to the houses themselves: the kind of ideal home I would love to own myself is big and luxurious, has lots of rooms, and is
located in a convenient yet quiet and beautiful place (of course!).
I know that if I had six bedrooms (instead of two) I, my family and my guests would *use* them; if I had a swimming pool, we would *use* it, too; if my living
room were three times bigger, I know that I would extract value out of it (it'd be more comfortable; I could invite more than a couple people over for dinner;
and I could maintain dedicated spaces for work, for leisure, and for dining).
So, I don't think that an expensive home is the kind of thing that would trigger this *animistic* feeling in me: I can't see how I would *feel bad* for having
a house that I am not *using* or *enjoying* properly.
It's the *objects* inside these houses that very often look &ldquo;lonely&rdquo;, &ldquo;sad&rdquo; and &ldquo;neglected&rdquo; to me.

Funny thing: you know that Rock&amp;Roll meme where the guitarist smashes his instrument on the floor and against the equipment on stage at the end of the gig?
I have always felt very uneasy about that.
I almost *suffer* when I see that happening.
Something inside me screams: *&ldquo;but&nbsp;&mdash;&nbsp;why!? That guitar is perfectly fine. Poor guitar!&rdquo;*
(This helps to explain why, against all expectations, my Rock&amp;Roll career has not yet reached a truly global scale.)

## Miscellanea

* There are absurd questions.
   * &ldquo;Do you prefer a universe with, or without a god?&rdquo;
* There are dishonest questions one can (should) ignore altogether.

## Powerful ideas

* [&ldquo;40 powerful concepts for understanding the world&rdquo;](https://twitter.com/G_S_Bhogal/status/1225561131122597896)
* [&ldquo;Name one idea that changed your life&rdquo;](https://twitter.com/david_perell/status/1257484391204352002)
* [&ldquo;How to get rich (without getting lucky)&rdquo;](https://twitter.com/naval/status/1002103360646823936)
